
BARBARIAN_WHIRPOOL = {
  class: ShootSkill,
  picture: TILE_SLASH,
  maxrange: 5,
  speed: 2000,
  spread: 6.28,
  count: 16,
  delay: 70,
  damage: 3,
  force: 1.0,
  secondary: true,
}

BARBARIAN_SLASH = {
  class: ShootSkill,
  picture: TILE_SLASH,
  maxrange: 10,
  speed: 2000,
  spread: 0.05,
  count: 1,
  delay: 25,
  damage: 3,
  force: 5.0,
  pierce: true,
}

class NoPain < Skill
  def update
    @owner.pain = 0
  end
end

BARBARIAN =
  {
    material: MAT_PLAYER,
    picture: 6 * 8 + 0,

    left_skill: BARBARIAN_SLASH,
    right_skill: BARBARIAN_WHIRPOOL,
    passive: {
      class: NoPain,
    },
  }
